<?php
header("Content-Type: text/html; charset=Windows-1250");
//header('Content-type: text/html; charset=utf-8'); 
//hlavicka pre utf osmicku vid vyssie
session_start();
setcookie("GenY", "Testovacia COOKIE systemu GenY.", time()+365*86400);
setcookie("GenY", "Testovacia COOKIE systemu GenY.", time()+365*86400);
setcookie("GenY", "Testovacia COOKIE systemu GenY.", time()+365*86400);
//otestujem, ci su zapnute COOKIES v prehliadaci, ak nie su, tak skoncim hlaskou a dalej nepokracujem
//v niektorej vyssej verzii systemu GenY asi dorobim odovzdavanie dat pomocou URL rewritingu alebo pomocou INPUT HIDDEN parametra
//tato verzia vsak zatial bude bezat len so zapnutymi COOKIES :-)
setcookie("GenY", "Testovacia COOKIE systemu GenY.", time()+365*86400);
if(isset($_COOKIE["GenY"])){
	//setcookie( "GenY");//teraz ju mozem zmazat, ked viem, ze su zapnute
}else{
	//inak skoncim cely program
	//vypol som to pre problemy s ukladanim cookies
	/*
	echo("<span style=\"color:red; font-weight:bold;\">Ukoncujem program! Zistilo sa, ze <span style=\"color:blue;\">nemate povolene ukladanie COOKIES</span> v prehliadaci alebo mate zapnute Sukromne prehliadanie. POVOLTE SI COOKIES V PREHLIADACI a skuste znova nacitat tuto stranku :-) ");
	echo("Tato verzia systemu GenY nevyuziva URL rewriting pre odovzdavanie udajov v URL alebo inym podobnym sposobom. Rozhodol som sa, ze nateraz budem pouzivat COOKIES. Musite ich povolit, inak to nebude fungovat! </span> ");
	echo("Ak ste uz COOKIES ZAPLI, tak len klikajte REFRESH stranky, kym tato hlaska nezmizne.");
	echo("<br /><br />Ak mate zapnute COOKIES a vidite tuto hlasku, len kliknite REFRESH(OBNOVIT) tuto stranku :-)");
	exit;
	*/
}

//vlozim funkcie pre pracu so subormi
$meno_suboru="functions_for_file.php";
	if(file_exists($meno_suboru)){
	require_once($meno_suboru);
	}else{
	echo("Nenašiel som súbor ".$meno_suboru." pre vloženie do skriptu. Ukončím vykonávanie skriptu.");
	exit;
	}
//vlozim funkcie pre pracu s obsahom stranky
$meno_suboru="functions_for_layout.php";
	if(file_exists($meno_suboru)){
	require_once($meno_suboru);
	}else{
	echo("Nenašiel som súbor ".$meno_suboru." pre vloženie do skriptu. Ukončím vykonávanie skriptu.");
	exit;
	}
	

	//vlozim funkcie pre pracu s prihlasovanim sa
$meno_suboru="functions_for_logging.php";
	if(file_exists($meno_suboru)){
	require_once($meno_suboru);
	}else{
	echo("Nenašiel som súbor ".$meno_suboru." pre vloženie do skriptu. Ukončím vykonávanie skriptu.");
	exit;
	}


//skontrolujem, ci pouzivam spravnu verziu PHP, aby moje skripty bezali sprave, ak nie, tak zastavim vykonavanie a vypisem spravu
check_php_ver(); 
//vygenerujem vzhlad stranky
//odhlasim aktualneho uzivatela, ak je poslana premenna get v tvare command=logout
if(isset($_GET["command"]) && $_GET["command"]=="logout" && isset($_SESSION["uzivatel"]) && isset($_SESSION["sid"])) {
		log_out_user($_SESSION["uzivatel"],$_SESSION["sid"]);
		exit;
		}

//skontrolujem prihlasenie, ak treba
if(isset($_POST["uzivatel"]) && isset($_POST["heslo"])){
	log_user_in($_POST["uzivatel"],$_POST["heslo"]);	
} 

//ak sa este uzivatel neprihlasoval, poslem mu obycajnu stranku na prihlasenie
if(!isset($_SESSION["uzivatel"]) && !isset($_SESSION["sid"])){
		content_index_head();
		content_index_login();
		content_index_search();
		content_index_menu();
		content_index_valid();
		content_index_content();
		content_index_footer();
		exit;
}
//ak uz je prihlaseny, tak mu zobrazim normalnu stranku prihlasenia, nemusi sa zasa prihlasovat
if(isset($_SESSION["uzivatel"]) && isset($_SESSION["sid"])){
			//tu pred vygenerovanim stranky, ze je prihlaseny este overim, ci mu nevyprsal cas prihlasenia v databaze alebo ci sa neodhlasil v databaze
			//sem daj funkciu overenia db udajov
			$je_prihlaseny=je_logged($_SESSION["uzivatel"],$_SESSION["sid"]);
			//zistil som, ci mi nevyprsal cas prihlasenia, ak som necinny viac ako 10 min, odhlasilo ma
			if($je_prihlaseny){
			content_index_head();
			content_index_login5();
			content_index_search();
			content_index_menu13($_SESSION["uzivatel"],$_SESSION["sid"]);
			content_index_valid();
			content_index_content13($_SESSION["uzivatel"],$_SESSION["sid"],$_GET["action"]);
			content_index_footer();
			exit;
			}else{
			if(isset($_SESSION["uzivatel"]) && isset($_SESSION["sid"])){
				unset($_SESSION["uzivatel"]);
				unset($_SESSION["sid"]);
				session_destroy();
				}
			content_index_head();
			content_index_login();
			content_index_search();
			content_index_menu();
			content_index_valid();
			content_index_content3();
			content_index_footer();
			exit;
			}
}
?>
